<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions: ModelTrainingAndValidation Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_230.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespaceModelTrainingAndValidation.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">ModelTrainingAndValidation Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a529ed0b566655157e5fb81ae5bc23b75"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#a529ed0b566655157e5fb81ae5bc23b75">make_variable</a> (tuple, initializer)</td></tr>
<tr class="separator:a529ed0b566655157e5fb81ae5bc23b75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a650e92b7a7a317d022f0fd8cb4c344b9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#a650e92b7a7a317d022f0fd8cb4c344b9">shape</a> (tensor)</td></tr>
<tr class="separator:a650e92b7a7a317d022f0fd8cb4c344b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa64a3f5e2418adb84853e460315f5d70"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#aa64a3f5e2418adb84853e460315f5d70">plot_interpol</a> (xesnew, ynew)</td></tr>
<tr class="separator:aa64a3f5e2418adb84853e460315f5d70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99460a110e45e1c097e0bfe5371289aa"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#a99460a110e45e1c097e0bfe5371289aa">ApplyInterpolation</a> (y_data, y_data_interpolation)</td></tr>
<tr class="separator:a99460a110e45e1c097e0bfe5371289aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad27c49ce16f621987a45605736ab0606"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#ad27c49ce16f621987a45605736ab0606">Interpolation_MSE</a> (y_true, y_pred)</td></tr>
<tr class="memdesc:ad27c49ce16f621987a45605736ab0606"><td class="mdescLeft">&#160;</td><td class="mdescRight">Custom Loss function evaluating the error of an interpolation.  <a href="namespaceModelTrainingAndValidation.html#ad27c49ce16f621987a45605736ab0606">More...</a><br /></td></tr>
<tr class="separator:ad27c49ce16f621987a45605736ab0606"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f60fccdbb730a0dce44691860f82bce"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#a6f60fccdbb730a0dce44691860f82bce">MSE_plus_MAE</a> (y_true, y_pred)</td></tr>
<tr class="separator:a6f60fccdbb730a0dce44691860f82bce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e7ef2eff040ba9808137584650ea8bf"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#a1e7ef2eff040ba9808137584650ea8bf">MSE_plus_LogMSE</a> (y_true, y_pred)</td></tr>
<tr class="separator:a1e7ef2eff040ba9808137584650ea8bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3045311deffce99c6b5ed3bd03337189"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#a3045311deffce99c6b5ed3bd03337189">LogCosh_plus_MAE</a> (y_true, y_pred)</td></tr>
<tr class="separator:a3045311deffce99c6b5ed3bd03337189"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa10d14c5a1a04e89d2a2223471730cef"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#aa10d14c5a1a04e89d2a2223471730cef">LogCosh_plus_LogMSE</a> (y_true, y_pred)</td></tr>
<tr class="separator:aa10d14c5a1a04e89d2a2223471730cef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0e10f6fb7809d5240dfaa2957ac2218"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#ac0e10f6fb7809d5240dfaa2957ac2218">LogCosh_plus_MSE</a> (y_true, y_pred)</td></tr>
<tr class="separator:ac0e10f6fb7809d5240dfaa2957ac2218"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9e5a4f64add0e89a8ff25ed1a20269d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#ab9e5a4f64add0e89a8ff25ed1a20269d">LogCosh_plus_LogMSE_plus_MAE</a> (y_true, y_pred)</td></tr>
<tr class="separator:ab9e5a4f64add0e89a8ff25ed1a20269d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5579cf6c9e1ee008204d7da0deb7751d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#a5579cf6c9e1ee008204d7da0deb7751d">main</a> (*args, **kwargs)</td></tr>
<tr class="separator:a5579cf6c9e1ee008204d7da0deb7751d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05c6e6a4e81a24473fd1f4ff5d6f10b8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#a05c6e6a4e81a24473fd1f4ff5d6f10b8">ModelEvaluation</a> (*args)</td></tr>
<tr class="separator:a05c6e6a4e81a24473fd1f4ff5d6f10b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae3306bbe89ffd9c2061568be935a626c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#ae3306bbe89ffd9c2061568be935a626c">threshold</a></td></tr>
<tr class="separator:ae3306bbe89ffd9c2061568be935a626c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9ea75875975b529e1e0ec2e52ba0a66"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#ad9ea75875975b529e1e0ec2e52ba0a66">xgrid</a> = np.arange(0.0,1.0*inp.Npoints)</td></tr>
<tr class="separator:ad9ea75875975b529e1e0ec2e52ba0a66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ed1d060eac2d568d67732e8ff55105d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#a7ed1d060eac2d568d67732e8ff55105d">ygrid</a> = np.arange(0.0,1.0*inp.Npoints)</td></tr>
<tr class="separator:a7ed1d060eac2d568d67732e8ff55105d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8511834518461a75e1dc1ba7e4172db"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#af8511834518461a75e1dc1ba7e4172db">test_predictions</a> = <a class="el" href="namespaceModelTrainingAndValidation.html#a05c6e6a4e81a24473fd1f4ff5d6f10b8">ModelEvaluation</a>(model, validation_generator)</td></tr>
<tr class="memdesc:af8511834518461a75e1dc1ba7e4172db"><td class="mdescLeft">&#160;</td><td class="mdescRight">test data: <br  />
  <a href="namespaceModelTrainingAndValidation.html#af8511834518461a75e1dc1ba7e4172db">More...</a><br /></td></tr>
<tr class="separator:af8511834518461a75e1dc1ba7e4172db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6671ccffe79245ded47041f59acbd7e3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#a6671ccffe79245ded47041f59acbd7e3">size_predictions</a> = 1</td></tr>
<tr class="separator:a6671ccffe79245ded47041f59acbd7e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1c474c2f8d6da685745bc68fcb08574"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#af1c474c2f8d6da685745bc68fcb08574">size_labels</a> = 1</td></tr>
<tr class="separator:af1c474c2f8d6da685745bc68fcb08574"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba73943f993e1661ad84b837e15bbea1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceModelTrainingAndValidation.html#aba73943f993e1661ad84b837e15bbea1">y_val</a> = y_val.reshape(np.shape(<a class="el" href="namespaceModelTrainingAndValidation.html#af8511834518461a75e1dc1ba7e4172db">test_predictions</a>))</td></tr>
<tr class="separator:aba73943f993e1661ad84b837e15bbea1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a99460a110e45e1c097e0bfe5371289aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99460a110e45e1c097e0bfe5371289aa">&#9670;&nbsp;</a></span>ApplyInterpolation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ModelTrainingAndValidation.ApplyInterpolation </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_data_interpolation</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespaceModelTrainingAndValidation_a99460a110e45e1c097e0bfe5371289aa_icgraph.png" border="0" usemap="#namespaceModelTrainingAndValidation_a99460a110e45e1c097e0bfe5371289aa_icgraph" alt=""/></div>
<map name="namespaceModelTrainingAndValidation_a99460a110e45e1c097e0bfe5371289aa_icgraph" id="namespaceModelTrainingAndValidation_a99460a110e45e1c097e0bfe5371289aa_icgraph">
<area shape="rect" title=" " alt="" coords="300,5,547,52"/>
<area shape="rect" href="namespaceModelTrainingAndValidation.html#a05c6e6a4e81a24473fd1f4ff5d6f10b8" title=" " alt="" coords="5,5,252,52"/>
</map>
</div>

</div>
</div>
<a id="ad27c49ce16f621987a45605736ab0606"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad27c49ce16f621987a45605736ab0606">&#9670;&nbsp;</a></span>Interpolation_MSE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ModelTrainingAndValidation.Interpolation_MSE </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_true</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_pred</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Custom Loss function evaluating the error of an interpolation. </p>

</div>
</div>
<a id="aa10d14c5a1a04e89d2a2223471730cef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa10d14c5a1a04e89d2a2223471730cef">&#9670;&nbsp;</a></span>LogCosh_plus_LogMSE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ModelTrainingAndValidation.LogCosh_plus_LogMSE </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_true</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_pred</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab9e5a4f64add0e89a8ff25ed1a20269d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9e5a4f64add0e89a8ff25ed1a20269d">&#9670;&nbsp;</a></span>LogCosh_plus_LogMSE_plus_MAE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ModelTrainingAndValidation.LogCosh_plus_LogMSE_plus_MAE </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_true</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_pred</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3045311deffce99c6b5ed3bd03337189"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3045311deffce99c6b5ed3bd03337189">&#9670;&nbsp;</a></span>LogCosh_plus_MAE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ModelTrainingAndValidation.LogCosh_plus_MAE </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_true</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_pred</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac0e10f6fb7809d5240dfaa2957ac2218"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0e10f6fb7809d5240dfaa2957ac2218">&#9670;&nbsp;</a></span>LogCosh_plus_MSE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ModelTrainingAndValidation.LogCosh_plus_MSE </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_true</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_pred</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5579cf6c9e1ee008204d7da0deb7751d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5579cf6c9e1ee008204d7da0deb7751d">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ModelTrainingAndValidation.main </td>
          <td>(</td>
          <td class="paramtype">*&#160;</td>
          <td class="paramname"><em>args</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">**&#160;</td>
          <td class="paramname"><em>kwargs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespaceModelTrainingAndValidation_a5579cf6c9e1ee008204d7da0deb7751d_cgraph.png" border="0" usemap="#namespaceModelTrainingAndValidation_a5579cf6c9e1ee008204d7da0deb7751d_cgraph" alt=""/></div>
<map name="namespaceModelTrainingAndValidation_a5579cf6c9e1ee008204d7da0deb7751d_cgraph" id="namespaceModelTrainingAndValidation_a5579cf6c9e1ee008204d7da0deb7751d_cgraph">
<area shape="rect" title=" " alt="" coords="5,59,292,88"/>
<area shape="rect" href="namespaceModels.html#a41afcd8240c50d2a1610b0d1a179fe44" title="NEURAL NETWORK STRUCTURES IN DATABASE." alt="" coords="341,5,482,35"/>
<area shape="rect" href="namespaceModels.html#afc2b1371082a1ff8e6b9dcdd23feffb5" title="CUSTOM NEURAL NETWORK STRUCTURES." alt="" coords="340,59,483,88"/>
<area shape="rect" href="namespaceModels.html#a0808de615f17f18092eb737f96e50e41" title="DEFAULT NEURAL NETWORK STRUCTURES." alt="" coords="342,112,481,141"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespaceModelTrainingAndValidation_a5579cf6c9e1ee008204d7da0deb7751d_icgraph.png" border="0" usemap="#namespaceModelTrainingAndValidation_a5579cf6c9e1ee008204d7da0deb7751d_icgraph" alt=""/></div>
<map name="namespaceModelTrainingAndValidation_a5579cf6c9e1ee008204d7da0deb7751d_icgraph" id="namespaceModelTrainingAndValidation_a5579cf6c9e1ee008204d7da0deb7751d_icgraph">
<area shape="rect" title=" " alt="" coords="307,50,593,79"/>
<area shape="rect" href="classHyperParameterOpt__Worker_1_1MyWorker.html#a5d46af99d0ac96eb08fb72c46fd0b2da" title=" " alt="" coords="5,5,259,52"/>
<area shape="rect" href="namespaceModelTrainingAndValidation.html#a05c6e6a4e81a24473fd1f4ff5d6f10b8" title=" " alt="" coords="9,76,255,123"/>
</map>
</div>

</div>
</div>
<a id="a529ed0b566655157e5fb81ae5bc23b75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a529ed0b566655157e5fb81ae5bc23b75">&#9670;&nbsp;</a></span>make_variable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ModelTrainingAndValidation.make_variable </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>tuple</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>initializer</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a05c6e6a4e81a24473fd1f4ff5d6f10b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05c6e6a4e81a24473fd1f4ff5d6f10b8">&#9670;&nbsp;</a></span>ModelEvaluation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ModelTrainingAndValidation.ModelEvaluation </td>
          <td>(</td>
          <td class="paramtype">*&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespaceModelTrainingAndValidation_a05c6e6a4e81a24473fd1f4ff5d6f10b8_cgraph.png" border="0" usemap="#namespaceModelTrainingAndValidation_a05c6e6a4e81a24473fd1f4ff5d6f10b8_cgraph" alt=""/></div>
<map name="namespaceModelTrainingAndValidation_a05c6e6a4e81a24473fd1f4ff5d6f10b8_cgraph" id="namespaceModelTrainingAndValidation_a05c6e6a4e81a24473fd1f4ff5d6f10b8_cgraph">
<area shape="rect" title=" " alt="" coords="5,37,252,84"/>
<area shape="rect" href="namespaceModelTrainingAndValidation.html#a99460a110e45e1c097e0bfe5371289aa" title=" " alt="" coords="320,5,567,52"/>
<area shape="rect" href="namespaceModelTrainingAndValidation.html#a5579cf6c9e1ee008204d7da0deb7751d" title=" " alt="" coords="300,77,587,106"/>
<area shape="rect" href="namespaceModels.html#a41afcd8240c50d2a1610b0d1a179fe44" title="NEURAL NETWORK STRUCTURES IN DATABASE." alt="" coords="635,23,777,53"/>
<area shape="rect" href="namespaceModels.html#afc2b1371082a1ff8e6b9dcdd23feffb5" title="CUSTOM NEURAL NETWORK STRUCTURES." alt="" coords="635,77,777,106"/>
<area shape="rect" href="namespaceModels.html#a0808de615f17f18092eb737f96e50e41" title="DEFAULT NEURAL NETWORK STRUCTURES." alt="" coords="637,130,775,159"/>
</map>
</div>

</div>
</div>
<a id="a1e7ef2eff040ba9808137584650ea8bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e7ef2eff040ba9808137584650ea8bf">&#9670;&nbsp;</a></span>MSE_plus_LogMSE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ModelTrainingAndValidation.MSE_plus_LogMSE </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_true</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_pred</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6f60fccdbb730a0dce44691860f82bce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f60fccdbb730a0dce44691860f82bce">&#9670;&nbsp;</a></span>MSE_plus_MAE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ModelTrainingAndValidation.MSE_plus_MAE </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_true</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y_pred</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa64a3f5e2418adb84853e460315f5d70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa64a3f5e2418adb84853e460315f5d70">&#9670;&nbsp;</a></span>plot_interpol()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ModelTrainingAndValidation.plot_interpol </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>xesnew</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ynew</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a650e92b7a7a317d022f0fd8cb4c344b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a650e92b7a7a317d022f0fd8cb4c344b9">&#9670;&nbsp;</a></span>shape()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ModelTrainingAndValidation.shape </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>tensor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="af1c474c2f8d6da685745bc68fcb08574"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1c474c2f8d6da685745bc68fcb08574">&#9670;&nbsp;</a></span>size_labels</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ModelTrainingAndValidation.size_labels = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6671ccffe79245ded47041f59acbd7e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6671ccffe79245ded47041f59acbd7e3">&#9670;&nbsp;</a></span>size_predictions</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ModelTrainingAndValidation.size_predictions = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af8511834518461a75e1dc1ba7e4172db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8511834518461a75e1dc1ba7e4172db">&#9670;&nbsp;</a></span>test_predictions</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ModelTrainingAndValidation.test_predictions = <a class="el" href="namespaceModelTrainingAndValidation.html#a05c6e6a4e81a24473fd1f4ff5d6f10b8">ModelEvaluation</a>(model, validation_generator)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>test data: <br  />
 </p>
<p>OBTAIN PREDICTIONS ### </p>

</div>
</div>
<a id="ae3306bbe89ffd9c2061568be935a626c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3306bbe89ffd9c2061568be935a626c">&#9670;&nbsp;</a></span>threshold</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ModelTrainingAndValidation.threshold</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad9ea75875975b529e1e0ec2e52ba0a66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9ea75875975b529e1e0ec2e52ba0a66">&#9670;&nbsp;</a></span>xgrid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ModelTrainingAndValidation.xgrid = np.arange(0.0,1.0*inp.Npoints)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aba73943f993e1661ad84b837e15bbea1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba73943f993e1661ad84b837e15bbea1">&#9670;&nbsp;</a></span>y_val</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ModelTrainingAndValidation.y_val = y_val.reshape(np.shape(<a class="el" href="namespaceModelTrainingAndValidation.html#af8511834518461a75e1dc1ba7e4172db">test_predictions</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7ed1d060eac2d568d67732e8ff55105d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ed1d060eac2d568d67732e8ff55105d">&#9670;&nbsp;</a></span>ygrid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ModelTrainingAndValidation.ygrid = np.arange(0.0,1.0*inp.Npoints)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceModelTrainingAndValidation.html">ModelTrainingAndValidation</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
